ALSA-2022:4940

See a problem?
Source
https://errata.almalinux.org/9/ALSA-2022-4940.html
Import Source
https://github.com/AlmaLinux/osv-database/blob/master/advisories/almalinux9/ALSA-2022:4940.json
JSON Data
https://api.osv.dev/v1/vulns/ALSA-2022:4940
Related
Published
2022-06-08T00:00:00Z
Modified
2023-03-07T17:32:20Z
Summary
Important: xz security update
Details

XZ Utils is an integrated collection of user-space file compression utilities based on the Lempel-Ziv-Markov chain algorithm (LZMA), which performs lossless data compression. The algorithm provides a high compression ratio while keeping the decompression time short. Security Fix(es): * gzip: arbitrary-file-write vulnerability (CVE-2022-1271) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References

Affected packages

AlmaLinux:9 / xz

Package

Name
xz

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.2.5-8.el9_0

AlmaLinux:9 / xz-devel

Package

Name
xz-devel

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.2.5-8.el9_0

AlmaLinux:9 / xz-libs

Package

Name
xz-libs

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.2.5-8.el9_0

AlmaLinux:9 / xz-lzma-compat

Package

Name
xz-lzma-compat

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.2.5-8.el9_0